Error launching PAW 2.0.6

Post Reply
Rtel
Posts: 42
Joined: Tue Nov 13, 2018 10:15 pm
OLAP Product: TM1
Version: 10.2
Excel Version: 2013

Error launching PAW 2.0.6

Post by Rtel » Tue Apr 09, 2019 3:23 pm

Hello, I have installed PAW 2.0.6. and It worked fine for 3 days. I could see TM1 DB model. Browse cubes,dim etc

Suddenly now after logging it waits for some time and shows blank white screen with { } on top left of the screen.

Windows 2016
TM1 server and PAW installed on same machine
Native TM1 login
user Role: Admin
All the services are running fine.

Nothing have changed in the environment.

Any idea ???

Thanks

Rtel

dr.nybble
Posts: 136
Joined: Wed Aug 17, 2011 3:51 pm
OLAP Product: TM1
Version: 10.2.2
Excel Version: Excel 2007

Re: Error launching PAW 2.0.6

Post by dr.nybble » Tue Apr 09, 2019 4:34 pm

What does

Code: Select all

scripts/paw.ps1 ps
show? Seems like a service is unhealthy.

Try to restart the services,

Code: Select all

scripts/paw.ps1 restart

Rtel
Posts: 42
Joined: Tue Nov 13, 2018 10:15 pm
OLAP Product: TM1
Version: 10.2
Excel Version: 2013

Re: Error launching PAW 2.0.6

Post by Rtel » Tue Apr 09, 2019 9:53 pm

Please see the results below.

PS E:\scripts> .\paw.ps1 ps

The IBMCognosGatewayURL variable is not set. Defaulting to a blank string.
The SAVE_VERSION variable is not set. Defaulting to a blank string.

The TM1PROXY_VERSION variable is not set. Defaulting to a blank string.

The system cannot find the path specified.

Name Command State Ports
---------------------------------------------------------------------------------------------------
bss powershell -Command $Error ... Up 8082/tcp
bss-init powershell -Command $Error ... Exit 0
cdn3p powershell -Command $Error ... Up
couchdb powershell -Command $Error ... Up 5984/tcp
couchdb_init powershell -Command $Error ... Up
glass powershell -Command $Error ... Up
mongo mongod --smallfiles --logp ... Up 27017/tcp
neo-idviz powershell -Command $Error ... Up 9060/tcp
neo-provision powershell -Command $Error ... Up 8083/tcp
pa-gateway powershell -Command $Error ... Up 0.0.0.0:443->443/tcp, 0.0.0.0:80->80/tcp
prism-app powershell -Command $Error ... Up
prism-platform powershell -Command $Error ... Up
prism-proxy powershell -Command $Error ... Up
redis powershell -Command $Error ... Up 6379/tcp
share-app powershell -Command $Error ... Up
share-platform powershell -Command $Error ... Up
share-proxy powershell -Command $Error ... Up
social powershell -Command $Error ... Up 1338/tcp
tm1proxy powershell -Command $Error ... Up
user-admin powershell -Command $Error ... Up 3333/tcp
wa-proxy powershell -Command $Error ... Up 1338/tcp
welcome powershell -Command $Error ... Up

EvgenyT
Community Contributor
Posts: 275
Joined: Mon Jul 02, 2012 9:39 pm
OLAP Product: Cognos TM 1
Version: 10.2.2
Excel Version: 2013
Location: Sydney, Australia

Re: Error launching PAW 2.0.6

Post by EvgenyT » Wed Apr 10, 2019 1:39 am

Hi,

Check paw.ps1 to see if TM1Location is set correctly

Thanks

ET

Rtel
Posts: 42
Joined: Tue Nov 13, 2018 10:15 pm
OLAP Product: TM1
Version: 10.2
Excel Version: 2013

Re: Error launching PAW 2.0.6

Post by Rtel » Wed Apr 10, 2019 6:22 pm

Hello , I ran PAW.ps1 STOP followed by PAW.ps and it worked !

Thanks

Rtel

dharav9
Posts: 33
Joined: Wed Aug 15, 2018 3:18 pm
OLAP Product: TM1
Version: 10.3
Excel Version: 2016

Re: Error launching PAW 2.0.6

Post by dharav9 » Mon May 13, 2019 7:24 pm

Hi,

I am also able to see the same error. May i know what it stands for?
I did scripts/paw.ps1 stop & followed by scripts/paw.ps1. No luck.
Gateway and everything else getting created but TM1Proxy_Version and Save_version variable is not set message comes.
See the attached for further information.
Image
Thank You

Dharav
Attachments
TM1 PAWPS1.PNG
TM1 PAWPS1.PNG (15.4 KiB) Viewed 366 times

dr.nybble
Posts: 136
Joined: Wed Aug 17, 2011 3:51 pm
OLAP Product: TM1
Version: 10.2.2
Excel Version: Excel 2007

Re: Error launching PAW 2.0.6

Post by dr.nybble » Mon May 13, 2019 10:33 pm

You can just ignore those, the docker-compose application will print that message out if an environment variable is referenced in a docker-compose.yml file but it is not defined.

dharav9
Posts: 33
Joined: Wed Aug 15, 2018 3:18 pm
OLAP Product: TM1
Version: 10.3
Excel Version: 2016

Re: Error launching PAW 2.0.6

Post by dharav9 » Tue May 14, 2019 3:29 pm

dr.nybble,

I found following after installing PAW:
PAW:

1) Integrated Security Mode = 1: Admintool validates with HNS NIC Ipv4, I able to login to PAW and can access the models.
2) Integrated Security Mode = 5: Admintool validates with HNS NIC IPv4, I couldnt able to see login screen on PAW Page - Reason is the configuration of GateWayURI in the cognos configuration has done with FQDN.

PAX:

1)In CFG, IPAddressv4= HNS IP (PAX Works)
2)In CFG, IPAddressv4= Public IP/ServerIP/FQDN (PAX Doesnt work)

In order to have PAW up and running with CAM security (Integrated Mode = 5), what and where changes has to be made? Why?

Note:

1) We have PA,CA, and PAW on same server.
2) I have PAW up and running (on same server, same version installations) - where my admin server used to validate through server IP or FQDN. PAW worked flawless

Please Advise.

Thank You

Dharav

dr.nybble
Posts: 136
Joined: Wed Aug 17, 2011 3:51 pm
OLAP Product: TM1
Version: 10.2.2
Excel Version: Excel 2007

Re: Error launching PAW 2.0.6

Post by dr.nybble » Tue May 14, 2019 7:30 pm

If you configure the Gateway URL, that has to be reachable externally by your users since they will be redirected to that URL.

Where are you running PAX? Ensure the firewall for the TM1 HttpPortNumber is open.

Paul-TM1
Posts: 64
Joined: Tue Jun 13, 2017 3:20 pm
OLAP Product: TM1
Version: 10.2.2
Excel Version: 2010

Re: Error launching PAW 2.0.6

Post by Paul-TM1 » Tue May 14, 2019 7:47 pm

Hi Dharav,
Is your TM1 server running on "Security Mode =5"? Once this is done, it's all in the Configuration of PAW Admin Tool page.
I have attached a sample of how it should look.

Thanks,
Paul.
Attachments
PAW-AdminToolPage-Config.png
PAW-AdminToolPage-Config.png (35.89 KiB) Viewed 326 times

dr.nybble
Posts: 136
Joined: Wed Aug 17, 2011 3:51 pm
OLAP Product: TM1
Version: 10.2.2
Excel Version: Excel 2007

Re: Error launching PAW 2.0.6

Post by dr.nybble » Wed May 15, 2019 11:55 am

Also note that you can now use TM1 Authentication for any of modes 1-5. All authentication will be delegated to the TM1 instance you specify.

dharav9
Posts: 33
Joined: Wed Aug 15, 2018 3:18 pm
OLAP Product: TM1
Version: 10.3
Excel Version: 2016

Re: Error launching PAW 2.0.6

Post by dharav9 » Wed May 15, 2019 2:54 pm

dr.nybble
dr.nybble wrote:
Tue May 14, 2019 7:30 pm
If you configure the Gateway URL, that has to be reachable externally by your users since they will be redirected to that URL.

Where are you running PAX? Ensure the firewall for the TM1 HttpPortNumber is open.
Do i need to open HttpPortNumber, if i am utilizing integrated security mode 5?

If i type in Gateway URL in the browser (both inside or outside server) and run - it works. It brings Cognos BI login Page and i am also able to get in to Cognos Analytics.

I am able to access PAX from outside of the server. Even test users are able to browse cube through PAX. I become curious to know, how is it possible where PAX is working but not PAW?

Thank You

Dharav

dr.nybble
Posts: 136
Joined: Wed Aug 17, 2011 3:51 pm
OLAP Product: TM1
Version: 10.2.2
Excel Version: Excel 2007

Re: Error launching PAW 2.0.6

Post by dr.nybble » Wed May 15, 2019 6:23 pm

PAX does not need to authenticate to PAW; PAW only acts as a proxy for PAX requests.

Still not sure I understand exactly what is not working for you

dharav9
Posts: 33
Joined: Wed Aug 15, 2018 3:18 pm
OLAP Product: TM1
Version: 10.3
Excel Version: 2016

Re: Error launching PAW 2.0.6

Post by dharav9 » Tue May 28, 2019 7:45 pm

Thank You All, It resolved.

I had to matched the IP Interface Index Equal to public and lower then else.
In IBM Video, they said that public IP Interface Index should be lower then all available network which did not work for me

Thank You

Dharav

Post Reply